Bug 31252 - inetorgperson schema doesn't work with openldap 1.2?
inetorgperson schema doesn't work with openldap 1.2?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-09 17:51 EST by Martin Stromberg
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 17:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stromberg 2001-03-09 17:51:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Trying to load the inetorgperson schema, along with the required cosine 
and core schemas with openldap 1.2 provided in RedHat Linux 7.0, prohibits 
the ldap service from starting.

Is there a way to do this?

I have tried to upgrade to OpenLDAP 2.0.7 from rawhide, but rpm -Fvh won't 
work and rpm -i complains about missing libssl and libcrypto libraries. 
What is the recommended way of upgrading to 2.0.x?


Reproducible: Always
Steps to Reproduce:
1. Get the inetorgperson.schema, cosine.schema and core.schema from 
openldap.2.0.7.tgz (from www.openldap.org)
2. Include them in the slapd.conf file
3. /etc/init.d/ldap start
Comment 1 Nalin Dahyabhai 2001-07-03 16:08:41 EDT
A recommended path is to upgrade the openssl and openssl095a packages along with
the openldap packages.  The binary-compatibility packages will keep applications
from breaking when you upgrade openssl.

Note You need to log in before you can comment on or make changes to this bug.